FreeCalypso > hg > freecalypso-sw
view gsm-fw/buildrel.sh @ 853:ae254ffeaec3
AT command interface works!
The cause of the breakage was the same Nucleus API issue with NU_Create_Timer()
which we encountered at the very beginning of this project with Riviera timers:
the code in uartfax.c from TCS211 was passing 0 as the initial dummy value for
the timer duration, and our FreeNucleus version doesn't like it. The fix is
the same: pass 1 as the initial dummy value instead.
author | Space Falcon <falcon@ivan.Harhan.ORG> |
---|---|
date | Thu, 30 Apr 2015 01:46:26 +0000 |
parents | e3f17ff16915 |
children |
line wrap: on
line source
#!/bin/sh # Shell script for building gsm-fw release binaries if [ $# != 1 ] then echo "usage: ./buildrel.sh buildlist" 1>&2 exit 1 fi if [ ! -f "configs/buildlists/$1" ] then echo "Error: no buildlist named $1" 1>&2 exit 1 fi # get to work set -e mkdir -p images exec < "configs/buildlists/$1" while read config imglist do if [ -z "$config" -o -z "$imglist" ] then echo "Error: bad line in configs/buildlists/$1" 1>&2 exit 1 fi echo "Building $config configuration" cp configs/$config build.conf make clean for img in $imglist do case "$img" in flashImage) format=bin ;; ramImage) format=srec ;; *) echo \ "Error: invalid image type $img in configs/buildlists/$1" 1>&2 exit 1 ;; esac echo "Building $img" make $img cp -p finlink/$img.$format images/$config-$img.$format cp -p finlink/$img.elf images/$config-$img.elf done done